From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/fuzzywuzzy/
Date: Mon, 23 Dec 2019 02:25:01 +0000 (UTC) [thread overview]
Message-ID: <1577067887.3211b572fca57d640d10ca68142d4b6a0fe13188.bman@gentoo> (raw)
commit: 3211b572fca57d640d10ca68142d4b6a0fe13188
Author: Yury Martynov <email <AT> linxon <DOT> ru>
AuthorDate: Fri Dec 20 13:43:16 2019 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 02:24:47 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3211b572
dev-python/fuzzywuzzy: bump to 0.17.0, add python3_{7,8} support
Closes: https://bugs.gentoo.org/703414
Closes: https://bugs.gentoo.org/656768
Closes: https://bugs.gentoo.org/639810
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Yury Martynov <email <AT> linxon.ru>
Closes: https://github.com/gentoo/gentoo/pull/14057
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
dev-python/fuzzywuzzy/Manifest | 1 +
dev-python/fuzzywuzzy/fuzzywuzzy-0.17.0.ebuild | 27 ++++++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/dev-python/fuzzywuzzy/Manifest b/dev-python/fuzzywuzzy/Manifest
index ebf52415ea3..73da489570d 100644
--- a/dev-python/fuzzywuzzy/Manifest
+++ b/dev-python/fuzzywuzzy/Manifest
@@ -1 +1,2 @@
DIST fuzzywuzzy-0.12.0.tar.gz 25792 BLAKE2B bb800d0ff020bf7b3b4b0374dbfdbd788da6cb3d72e5a8a63e331c1a1a38d6317c6f56563d36015d72b86c86755552644958cb84b99f27a6b739f372a3207ed7 SHA512 d4312342af9e3fc9383e1967e60b2856af73e8ad869f6b694d3f737d0280cd840dc42779b0407aefce2571d98c97ab780912943078c4d94dd77502c4e28bd2cc
+DIST fuzzywuzzy-0.17.0.tar.gz 27321 BLAKE2B 640f38954501a19cfabdb302faf93c57ca62f60e8aac576cd5098e947559cbedd2a769cd2e88f7bc71071ce61aca0a6c075ed9a8fcfdc57f5b90d4579895f346 SHA512 10fb91d85f2e612885543a442959f3c88bf9d3dc468718a1fb92bf443f1753abfc04a9b07935a0d523508b38fc1ba9a7ba391a17b5f01160c26cc2c98d1f6c1d
diff --git a/dev-python/fuzzywuzzy/fuzzywuzzy-0.17.0.ebuild b/dev-python/fuzzywuzzy/fuzzywuzzy-0.17.0.ebuild
new file mode 100644
index 00000000000..8ff35c55737
--- /dev/null
+++ b/dev-python/fuzzywuzzy/fuzzywuzzy-0.17.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fuzzy string matching in python"
+HOMEPAGE="https://github.com/seatgeek/fuzzywuzzy"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-python/pycodestyle[${PYTHON_USEDEP}] )"
+RDEPEND="${PYTHON_DEPS}
+ dev-python/python-levenshtein[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" test_fuzzywuzzy.py || die "tests failed under ${EPYTHON}"
+}
next reply other threads:[~2019-12-23 2:25 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-23 2:25 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-09 9:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/fuzzywuzzy/ WANG Xuerui
2024-07-01 5:03 Arthur Zamarin
2024-06-14 11:42 Petr Vaněk
2024-06-14 11:42 Petr Vaněk
2023-08-20 9:17 Michał Górny
2023-06-27 11:54 Michał Górny
2023-06-27 5:19 Jakov Smolić
2023-05-20 7:02 Michał Górny
2023-05-20 7:02 Michał Górny
2023-03-16 3:50 Michał Górny
2023-02-13 3:22 Matt Turner
2022-05-17 12:20 Andrew Ammerlaan
2022-02-07 22:29 Sam James
2022-02-07 20:14 Arthur Zamarin
2022-02-07 9:35 Sam James
2021-11-19 11:39 Arthur Zamarin
2021-11-19 7:59 Arthur Zamarin
2021-11-18 10:50 Sam James
2021-11-15 16:29 Agostino Sarubbo
2021-09-20 6:25 Agostino Sarubbo
2021-09-10 1:27 Sam James
2021-08-28 8:16 Arthur Zamarin
2021-07-26 2:27 Sam James
2021-07-12 0:58 Sam James
2021-07-08 7:11 Sergei Trofimovich
2021-07-08 7:09 Sergei Trofimovich
2021-06-24 15:07 Sergei Trofimovich
2021-03-11 12:55 Sam James
2021-03-02 21:23 Rick Farina
2020-03-27 10:42 Michał Górny
2020-03-23 21:40 Piotr Karbowski
2018-06-24 12:20 Pacho Ramos
2016-09-24 15:15 Alex Brandt
2016-08-06 14:40 Alex Brandt
2016-07-16 14:32 Alex Brandt
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1577067887.3211b572fca57d640d10ca68142d4b6a0fe13188.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox